org.eclipse.net4j.util.container

## Interface IContainer.Persistable<E>

- All Superinterfaces:
    IContainer<E>, INotifier
  All Known Implementing Classes:
    SetContainer
  Enclosing interface:
    IContainer<E>

      public static interface IContainer.Persistable<E>
      extends IContainer<E>

  A `container` with additional methods to add or remove elements.
  Since:
    3.5
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IContainer.Persistence<E>` | `getPersistence()`
    `void` | `load()`
    `void` | `save()`
    `void` | `setPersistence(IContainer.Persistence<E> persistence)`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getPersistence

          IContainer.Persistence<E> getPersistence()

    - #### setPersistence

          void setPersistence(IContainer.Persistence<E> persistence)

    - #### load

          void load()
             throws IORuntimeException

      Throws:
        `IORuntimeException`

    - #### save

          void save()
             throws IORuntimeException

      Throws:
        `IORuntimeException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html